ranges::common_tuple< Ts > Struct Template Reference
Inheritance diagram for ranges::common_tuple< Ts >:

## Public Member Functions

std::tuple< Ts... > const & | base () const noexcept
std::tuple< Ts... > & | base () noexcept
template<typename... Us>
CPP_TEMPLATE_AUX_0 | c (requires ` constructible_from< detail::args< Ts... >, detail::args< Us... >>) cccommon_tuple(common_tuple< Us... > &&that) noexcept(meta::and_c< std::is_nothrow_constructible< Ts, Us >::value... >::value)
template<typename... Us>
CPP_TEMPLATE_AUX_0 | c (requires ` constructible_from< detail::args< Ts... >, detail::args< Us... >>) cccommon_tuple(std
template<typename... Us>
CPP_TEMPLATE_AUX_0 | c (requires ` constructible_from< detail::args< Ts... >, detail::rargs< Us const ... >>) cccommon_tuple(common_tuple< Us... > const &that) noexcept(meta::and_c< std::is_nothrow_constructible< Ts, Us const & >::value... >::value)
template<typename... Us>
CPP_TEMPLATE_AUX_0 | c (requires ` constructible_from< detail::args< Ts... >, detail::rargs< Us const ... >>) cccommon_tuple(std
template<typename... Us>
CPP_TEMPLATE_AUX_0 | c (requires ` constructible_from< detail::args< Ts... >, detail::rargs< Us... >>) cccommon_tuple(common_tuple< Us... > &that) noexcept(meta::and_c< std::is_nothrow_constructible< Ts, Us & >::value... >::value)
template<typename... Us>
CPP_TEMPLATE_AUX_0 | c (requires ` constructible_from< detail::args< Ts... >, detail::rargs< Us... >>) cccommon_tuple(std
template<typename... Us>
CPP_TEMPLATE_AUX_0 | e (requires ` constructible_from< detail::args< Ts... >, detail::args< Us... >>) eeexplicit common_tuple(Us &&... us) noexcept(meta::and_c< std::is_nothrow_constructible< Ts, Us >::value... >::value)